3.1 Introduction

3. PC Application
3.1 Introduction

This PC application bundled with your Action Replay GBA / MAX Drive DS DUO product has uses for both the Action Replay GBA and the MAX Drive DS sides of the enhancer. For Action Replay GBA, the PC application is your best means of quickly and reliably adding new cheat-codes to your Action Replay. For MAX Drive DS, the PC application is your gateway to the immense game-save storage capacity of your PC as well as a whole world of game-save swapping online through the MAX Drive community.

Below are the minimum system requirements to properly run this application, however, if you've managed to install the software and get as far as this help, your machine is probably capable of running the software OK.

MINIMUM SYSTEM REQUIREMENTS
Computer / Processor | Computer with a Pentium (or equivalent) processor with one free USB port.
Communication | Internet connection
Operating System | Microsoft Windows® 98 Second Edition, Windows Me, Windows 2000 or Windows XP
Memory | 64Mb RAM Install size: 15Mb, plus additional hard drive space for storing downloads (20Mb recommended).
Display | 800x600 SVGA or higher
Drive | CD-ROM drive (for installation)
Installing the software

Insert the CD-ROM titled ‘PC Application’ into your PC CD-ROM drive and if you have auto-run enabled, wait a couple of seconds for the installation to start. If you don’t have auto-run enabled, find the SETUP.EXE program on the CD and run it. Follow the on-screen instructions.

When the installation is complete, with your console switched off insert a GBA cartridge into your DUO and plug your DUO hardware into your console (GBA/SP/DS). Connect the mini end of the supplied USB cable to the USB socket on the DUO unit and connect the other end to a free USB port on your computer. Windows® should find the DUO hardware and install the drivers automatically (they were included in the installation). If you need to tell Windows where to find the drivers, look on the installation CD in the root directory.

After installation, disconnect all cables to refresh the USB system.


3.1.1. Putting the DUO hardware in USB mode

3. PC Application
3.1.1. Putting the DUO hardware in USB mode

For the PC application to communicate with the DUO hardware, you need to put your DUO in USB mode. This can be done automatically or manually.

Manually putting the DS hardware in USB mode.

  • Connect the USB cable to your PC and DUO hardware.
  • Switch on your console (ensure your batteries are well charged) HOLDING DOWN THE LEFT SHOLDER BUTTON.
  • Keep holding the shoulder button down until you see the ‘USB SERVER MODE’ screen.
  • Start the ‘AR MAX Drive’ PC application by double clicking its desktop icon or selecting Program Files > Datel > AR MAX Drive.

Putting the DS hardware in USB mode automatically.

  • Connect the USB cable to your PC and DUO hardware.
  • Start the ‘AR MAX Drive’ PC application by double clicking its desktop icon or selecting Program Files > Datel > AR MAX Drive.
  • Switch on your console.


3.2.1. Getting started

3.2. Action Replay PC Software
3.2.1. Getting started

From the main menu, when asked which device you would like to manage, choose Action Replay GBX (GBA) to manage and update your Action Replay GBA codelist.


3.2.2. Action Replay GBA mode overview

3.2. Action Replay PC Software
3.2.2. Action Replay GBA mode overview

From the main menu, when asked which device you would like to manage, choose Action Replay GBX (GBA) to manage and update your Action Replay GBA codelist.


3.2.3. Updating your codelist

3.2. Action Replay PC Software
3.2.3. Updating your codelist

Once connected, you see the Action Replay GBA codes installed on your DUO hardware shown in the ‘GBA Memory’ window (see overview). You can quickly add and remove codes for whole games using this PC application.

Adding new codes to the codelist

To get the very latest Action Replay GBA codes onto your Action Replay, simply click the Download Codelist button on the PC application (you must have an active internet connection on your PC for this to work), and wait for the full, up-to-the-minute codelist to download (this may take a few of minutes on a dial-up connection, less than a minute on a broadband connection). This download retrieves ALL available codes for GBA games automatically. If codes for the game you want are not included, try again in the future to see if codes have been created.

When the download is complete, simply drag and drop ‘code-files’ for the games you would like to add to your DUO hardware. The status bar indicates the status of the transfer.

Removing games from the codelist

Removing games you do not need from the Action Replay codelist can free up more memory for new games or even MAX Drive DS game-saves. To delete games from the codelist on your DUO hardware, highlight it in the right-hand window (GBA Memory in the overview diagram) and press the Delete button.


3.2.4. Software updates

3.2. Action Replay PC Software
3.2.4. Software updates

From time to time, updates to the Action Replay GBA software on your DUO hardware may be made available. These updates may include fixes, upgrades or new features. These updates are made available for download from www.codejunkies.com in the support downloads section where they can be accompanied by any necessary instructions.

To install a downloaded update, press the ‘Flash Firmware’ button (see overview) and find the downloaded update.

WARNING! – Never attempt to update your DUO hardware with any file other than an update from www.codejunkies.com support section intended for your hardware. Doing so could permanently damage your hardware.


3.2.5. Frequently Asked Questions

3.2. Action Replay PC Software
3.2.5. Frequently Asked Questions

Q. I get the message ‘Console not connected’ in the GBA Action Replay window on the PC software and can’t do anything. What’s wrong?

A. You need to make sure that your PC is properly connected to your DUO hardware, that the USB drivers are installed in Windows® and that the hardware is in USB mode. Perform the following ‘double checks’:

  1. Switch OFF your DS/SP/GBA
  2. Make sure the DUO hardware is plugged into your hand-held.
  3. Make sure a GBA cartridge is connected to the DUO hardware.
  4. Disconnect the USB cable from your PC and DUO hardware.
  5. Connect the mini USB connector to your DUO hardware.
  6. Connect the other end of the USB cable to your PC, Windows® should detect a new USB device. If Windows® asks you for drivers, direct it to the installation CD.
  7. If the PC application is running, close it down then restart it.
  8. Switch on your GBA/SP/DS. You should see that the DUO goes into ‘USB mode’, once it does you should be able to use all functions within the PC application.

Q. Can I manually enter Action Replay codes using the PC software like on the old Action Replay GBA PC software?

A. No, this functionality has not been included because there are so many benefits to downloading codes directly using the PC application. Downloading codes instead of entering them manually is much quicker and eliminates the chance of errors. Less time entering codes is more time gaming!

Q. Where do I look for a software update?

A. Updates to the DUO firmware (to be installed using the ‘Flash Firmware’ button in the Action Replay GBA section of the PC software) will be published in the support downloads section of www.codejunkies.com. Look out for ‘Action Replay GBA / Max Drive DS DUO’ software updates and make sure that you are downloading software intended for your hardware. If you are in any doubt, contact our technical support department (for contact details, see the back page of manual).

Q. I’m trying to add some new codes to my Action Replay GBA using the PC application but it says there is insufficient space, what can I do?

The Action Replay GBA / Max Drive DS DUO product shares its storage capability between DS game-saves and GBA Action Replay codes. If you don’t have enough storage space on the DUO for new Action Replay codes, you can free up space by deleting some DS game-saves (see section 2.2.7, Managing your game-saves). Alternatively, try deleting cheat codes for games you do not own or play, this will create more space for you to add codes for games that you do play.


3.3.1 Getting started

3.3. Max Drive DS PC Software
3.3.1 Getting started

Ensure your DUO hardware is connected to your PC via the supplied USB cable, and that the DUO is in USB mode (see Section 3.1.1, Putting the DUO hardware in USB Mode).

From the main menu, when asked which device you would like to manage, choose Action Replay GBX (GBA) to manage and update your Action Replay GBA codelist.


3.3.2 Backing up your game-saves

3.3.2 Backing up your game-saves

Using the ‘Back-up my game cart save’ menu option on the PC application, you can simplify the process of copying the contents of the currently-inserted DS game cart to both your DUO hardware’s memory, the PC database and directly to the online community.

At the Max Drive DS option’s main menu, choose ‘Back-up my game cart save’ to start the wizard.

Step 1.

Choose where you would like the game-save to be backed up to. You can select to back up the game-save to any of the listed options at the same time.

  • ‘My MAX Drive vault’ copies the game-save to the built-in memory on the DUO hardware (so you can access it without being connected to the PC).
  • ‘My PC’ backs up the game-save to your PC’s hard drive, where you can store thousands of saves (depending on available space).
  • ‘The online community server’ uploads your game-save to the MAX Drive DS online server, meaning it can be downloaded and used by other MAX Drive DS users.

Step 2.

Enter details about the game-save you are backing up. Try to be accurate and descriptive about the game-save for your future convenience, especially if you’re uploading your game-save to the MAX Drive DS community (see Section 3.3.6 for more about uploaded and sharing your game-saves).

Step 3.

You’re shown the status of the back-up as it happens. Once complete, click ‘Finish’. Your game-save is now have backed up to the places you chose in Step 1. For confirmation, see Section 3.3.4, Managing your Game-Saves.


3.3.3 Restoring your game-saves

3.3.3 Restoring your game-saves

Use the ‘Restore a game-cart save’ from the Max Drive DS main menu to quickly and easily restore a game-save directly to your inserted DS game-cart.

Step 1.

You can restore from a game-save stored either on your PC database or your DUO hardware. Click the location of your source game-save.

Step 2.

Next choose the actual game-save that you would like to restore. Click on a game-save in the left window to display its description in the right-hand window.

IMPORTANT

Only ever restore a game-save to the DS game-cart that it came from. For example DO NOT attempt to restore a game-save for ‘Super Mario DS’ to a ‘Ridge Racer DS’ game-cart. Doing so could permanently damage your game-cart.

Once you have identified the game-save you would like to restore and ensured that it is for the currently inserted DS game-cart, click the ‘Restore’ button. The status of the restore is displayed as the game-save is copied back to your DS cart.


3.3.4 Managing your game-saves

3.3.4 Managing your game-saves

The PC application can also be used to move game-save files between your DUO hardware and your PC database. Manage your saves to ensure that you have the game-save files you need stored on your DUO hardware so that you can restore them without needing your PC when you are out and about.

Select ‘Manage and swap saves’ from the MAX Drive DS main menu then choose ‘My MAX Drive vault’ to move files between your DUO hardware and your PC database.

My MAX Drive vault
You see the screen split into two windows. The window on the left is the contents of your PC database; the window on the right is the contents of your DUO’s on board memory, here referred to as the MAX Drive Vault.

The PC database displays any game-saves you have backed up to your PC, downloaded from the MAX Drive Community server (see Section 3.3.5, Getting New Game-Saves) or that came pre-installed with your PC software.

Moving files between the PC database and the MAX Drive

Either use your mouse to drag and drop files from the PC Database to the MAX Drive Vault or highlight a file and press the appropriate transfer button. Wait a few seconds whilst the transfer takes place and then whilst the index of the MAX Drive is read back in.

Deleting game-save files

Using the PC database to store as many game-saves as you want means that you can free up valuable space on your MAX Drive by only using it to store game-saves you’re currently using. Use the methods described above to move game-saves to your PC database, then highlight the game-save you want to delete in the MAX Drive Vault (right) window and press the ‘Delete’ button. Game-save files can also be deleted from the PC database in the same way though obviously space is not at such a premium on a typical PC.

Importing a game-save

You can also use the Manage Screen to import a game-save file into your PC application that you have either downloaded or been emailed from another source. To do this, simply press the ‘Import File’ button then use the file dialogue to find the file and choose OK. Remember, you can only import MAX Drive DS files which have been created using the Datel MAX Drive DS software. MAX Drive DS saves have the file extension “.dss”. Once imported into your PC database, you can use the software to copy the save to your Max Drive Vault.


3.3.5 Getting new game-saves

3.3.5 Getting new game-saves

MAX Drive DS doesn’t just limit you to game-saves you create and back up yourself. You can also use the PC application to download game-saves that gamers all over the world have created and uploaded to the MAX Drive DS community server. To do this, choose ‘Upload or Download Online’ from the manage menu.

The screen layout is similar to that explained in ‘3.3.4 Managing Your Game-Saves’, but in the right window you’re looking at the contents of an online file server. You need to have an active internet connection on your PC to view or download saves.

To download and use a save, drag-and-drop it from the ‘Online’ (right) window to your PC database from where you can use the ‘Restore’ wizard (see Section 3.3.3, Restoring Your Game-Saves) to put it onto your DUO hardware or DS cart.

IMPORTANT

Because game-saves you download from the Max Drive DS community server were uploaded by other users of MAX Drive DS, there is no guarantee the saves will have been described accurately.

The use of game-saves downloaded from the Max Drive DS community server is AT YOUR OWN RISK.


3.3.6 Sharing your game-saves online

3.3.6 Sharing your game-saves online

To be part of the MAX Drive community and upload game-saves of your own, you need to visit www.codejunkies.com and register your details. Follow the links to register for the Codejunkies.com community. If you’re already a member of the community, you do not need to register again please use the username and password you already have.

From the main menu of the PC application, click on the settings button and then enter the username and password you create when you register into the Username and Password fields on the settings screen.

Whilst on the settings screen, ensure that you have the ‘Region’ options set your region. This controls both which saves content you see when you are downloading but also where any saves you share with the community are uploaded to. Once you have entered your Codejunkies.com username and password (these will be sent you via email after registering on the site) on the settings screen, click ‘Save’ to return to the main menu.

Uploading your game-saves

From the main menu choose ‘Max Drive DS’ then ‘Manage and swap saves’ and then finally ‘Upload or download online’. The screen will be familiar to you if you have use the Max Drive DS software to download game-saves from the online server (see section 3.3.5, Getting new game-saves).

Highlight a save you have created yourself (there is no point in uploading someone else’s game-save that you have downloaded) in the PC Database window (on the left) and either drag-and-drop it or use the ‘Transfer’ button to upload it to the Codejukies.com server.

On the next screen you will be asked to confirm the details of the game-save you are uploading. It is ESSENTIAL that you use this opportunity to make sure that you have given your game-save accurate and descriptive details. People will choose whether to download and use your game-save based on the details you provide. If you deliberately miss-lead other users you could have your Codejunkies.com account suspended.

Once you are sure you are happy with the details you have entered, press ‘Next’ to actually begin the upload. You will be taken back to the Upload / Download screen with the status bar at the bottom of the screen displaying the progress of the file upload. On a fast Internet connection this should only take a couple of seconds (longer on dial-up).

Refreshing the list

Once complete right click on the ‘Online Saves’ title in the Online window (right hand side) and choose ‘Refresh’ to reload the list and see your game-save live on the server!


3.3.7 Software updates

3.3.7 Software updates

From time to time, updates to the MAX Drive DS software on your DUO hardware may be made available. These updates may include fixes, upgrades or new features. These updates will be made available for download from www.codejunkies.com in the support downloads section where they can be accompanied by any necessary instructions.

WARNING! – Never attempt to update your DUO hardware with any file other than an update from www.codejunkies.com support section intended for your hardware. Doing so could permanently damage your hardware.


3.3.8 Frequently Asked Questions

3.3.8 Frequently Asked Questions

Q. Can a downloaded save damage my DS game?

A. No, as long as you make sure you only transfer a save file to the game that created it, for example, only use ‘Ridge Racer DS’ saves in ‘Ridge Racer DS’ game cards. Transferring saves from one game onto a different game card can damage your game.

Q. I get the message ‘Console not connected’ in the GBA Action Replay window on the PC software and can’t do anything. What’s wrong?

A. You need to make sure that your PC is properly connected to your DUO hardware, that the USB drivers are installed in Windows® and that the hardware is in USB mode. Perform the following ‘double checks’:

  1. Switch OFF your DS/SP/GBA
  2. Make sure the DUO hardware is plugged into your hand-held.
  3. Make sure a GBA cartridge is connected to the DUO hardware.
  4. Disconnect the USB cable from your PC and DUO hardware.
  5. Connect the mini USB connector to your DUO hardware.
  6. Connect the other end of the USB cable to your PC, Windows® should detect a new USB device. If Windows® asks you for drivers, direct it to the installation CD.
  7. If the PC application is running, close it down then restart it.
  8. Switch on your GBA/SP/DS. You should see that the DUO goes into ‘USB mode’, once it does you should be able to use all functions within the PC application.

Q. I’m trying to back-up a game-save to my DUO using the PC application but it says there is insufficient space, what can I do?

The Action Replay GBA / Max Drive DS DUO product shares its storage capability between DS game-saves and GBA Action Replay codes. If you don’t have enough storage space on the DUO to back-up your game-save cart, you can free up space by deleting some Action Replay GBA codes (see section 3.2.3, Updating your codelist).